CommunityManagerImpl (Custom Portal Handler 1.4.0-SNAPSHOT API)
Date: 2014-04-02

org.gcube.portal.custom.communitymanager.impl

## Class CommunityManagerImpl

- java.lang.Object
- - org.gcube.portal.custom.communitymanager.OrganizationsUtil
  - - org.gcube.portal.custom.communitymanager.impl.CommunityManagerImpl

- All Implemented Interfaces:
    CommunityManager

      public class CommunityManagerImpl
      extends OrganizationsUtil
      implements CommunityManager

  Version:
    1.0
  Author:
    Massimiliano Assante, massimiliano.assante@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CURR_ORG`

    - ### Fields inherited from class org.gcube.portal.custom.communitymanager.OrganizationsUtil

      `DEFAULT_COMPANY_WEB_ID, ROOT_ORG`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `createCommunity(String communityName, String communityDesc, long parentID)` Use this method for creating VRE programmatically and associate a default layout to it
    `long` | `createCommunity(String usernameCreator, String communityName, String communityDesc, GCUBESiteLayout siteLayout, long parentID)` Use this method for creating VRE programmatically and associate it a layout
    `static CommunityManagerImpl` | `get()`
    `List<com.liferay.portal.model.Portlet>` | `getGCubePortlets(String communityName)`
    `static CommunityManagerImpl` | `getInstance(org.gcube.application.framework.core.session.ASLSession session)`

    - ### Methods inherited from class org.gcube.portal.custom.communitymanager.OrganizationsUtil

      `addManagerRole, addManagerRole, addUserToGroup, createLayout, createRole, getCompany, getDefaultCompanyWebId, getDefaultPortlets, getgCubeThemeId, getRootOrganizationName, getTomcatFolder, getVREBelongingPortlets, validateUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CURR_ORG

          public static final String CURR_ORG

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public static CommunityManagerImpl get()

      Returns:
        the singleton

    - #### getInstance

          public static CommunityManagerImpl getInstance(org.gcube.application.framework.core.session.ASLSession session)

      Parameters:
        `session` - the session
      Returns:
        the singleton

    - #### createCommunity

          public long createCommunity(String communityName,
                             String communityDesc,
                             long parentID)

      Use this method for creating VRE programmatically and associate a default layout to it
      Specified by:
        `createCommunity` in interface `CommunityManager`
      Parameters:
        `communityName` - -
        `communityDesc` - -
        `parentID` - -
      Returns:
        the community created id

    - #### createCommunity

          public long createCommunity(String usernameCreator,
                             String communityName,
                             String communityDesc,
                             GCUBESiteLayout siteLayout,
                             long parentID)

      Use this method for creating VRE programmatically and associate it a layout
      Specified by:
        `createCommunity` in interface `CommunityManager`
      Parameters:
        `usernameCreator` - -
        `communityName` - -
        `communityDesc` - -
        `siteLayout` - a GCUBESiteLayout instance to associate to it
        `parentID` - the organization parent
      Returns:
        the community created id

    - #### getGCubePortlets

          public List<com.liferay.portal.model.Portlet> getGCubePortlets(String communityName)

      Specified by:
        `getGCubePortlets` in interface `CommunityManager`
      Parameters:
        `communityName` - -
      Returns:
        list of belonging portlet

Copyright © 2014. All Rights Reserved.